Package com.ngrok

# Class Ngrok.EdgeModulesNamespace

java.lang.Object
com.ngrok.Ngrok.EdgeModulesNamespace

Enclosing class:
  Ngrok

public class Ngrok.EdgeModulesNamespace extends Object
A namespace object for EdgeModules.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HttpsEdgeMutualTlsModule`
  `httpsEdgeMutualTls()`
  Creates a service client for `HttpsEdgeMutualTlsModule`.
  `EdgeRouteBackendModule`
  `httpsEdgeRouteBackend()`
  Creates a service client for `EdgeRouteBackendModule`.
  `EdgeRouteCircuitBreakerModule`
  `httpsEdgeRouteCircuitBreaker()`
  Creates a service client for `EdgeRouteCircuitBreakerModule`.
  `EdgeRouteCompressionModule`
  `httpsEdgeRouteCompression()`
  Creates a service client for `EdgeRouteCompressionModule`.
  `EdgeRouteIpRestrictionModule`
  `httpsEdgeRouteIpRestriction()`
  Creates a service client for `EdgeRouteIpRestrictionModule`.
  `EdgeRouteOAuthModule`
  `httpsEdgeRouteOauth()`
  Creates a service client for `EdgeRouteOAuthModule`.
  `EdgeRouteOidcModule`
  `httpsEdgeRouteOidc()`
  Creates a service client for `EdgeRouteOidcModule`.
  `EdgeRouteRequestHeadersModule`
  `httpsEdgeRouteRequestHeaders()`
  Creates a service client for `EdgeRouteRequestHeadersModule`.
  `EdgeRouteResponseHeadersModule`
  `httpsEdgeRouteResponseHeaders()`
  Creates a service client for `EdgeRouteResponseHeadersModule`.
  `EdgeRouteSamlModule`
  `httpsEdgeRouteSaml()`
  Creates a service client for `EdgeRouteSamlModule`.
  `EdgeRouteWebhookVerificationModule`
  `httpsEdgeRouteWebhookVerification()`
  Creates a service client for `EdgeRouteWebhookVerificationModule`.
  `EdgeRouteWebsocketTcpConverterModule`
  `httpsEdgeRouteWebsocketTcpConverter()`
  Creates a service client for `EdgeRouteWebsocketTcpConverterModule`.
  `HttpsEdgeTlsTerminationModule`
  `httpsEdgeTlsTermination()`
  Creates a service client for `HttpsEdgeTlsTerminationModule`.
  `TcpEdgeBackendModule`
  `tcpEdgeBackend()`
  Creates a service client for `TcpEdgeBackendModule`.
  `TcpEdgeIpRestrictionModule`
  `tcpEdgeIpRestriction()`
  Creates a service client for `TcpEdgeIpRestrictionModule`.
  `TlsEdgeBackendModule`
  `tlsEdgeBackend()`
  Creates a service client for `TlsEdgeBackendModule`.
  `TlsEdgeIpRestrictionModule`
  `tlsEdgeIpRestriction()`
  Creates a service client for `TlsEdgeIpRestrictionModule`.
  `TlsEdgeMutualTlsModule`
  `tlsEdgeMutualTls()`
  Creates a service client for `TlsEdgeMutualTlsModule`.
  `TlsEdgeTlsTerminationModule`
  `tlsEdgeTlsTermination()`
  Creates a service client for `TlsEdgeTlsTerminationModule`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### httpsEdgeMutualTls

    public HttpsEdgeMutualTlsModule httpsEdgeMutualTls()
    Creates a service client for `HttpsEdgeMutualTlsModule`. See also https://ngrok.com/docs/api#api-https-edge-mutual-tls-module
    Returns:
      a service client

  - ### httpsEdgeTlsTermination

    public HttpsEdgeTlsTerminationModule httpsEdgeTlsTermination()
    Creates a service client for `HttpsEdgeTlsTerminationModule`. See also https://ngrok.com/docs/api#api-https-edge-tls-termination-module
    Returns:
      a service client

  - ### httpsEdgeRouteBackend

    public EdgeRouteBackendModule httpsEdgeRouteBackend()
    Creates a service client for `EdgeRouteBackendModule`. See also https://ngrok.com/docs/api#api-edge-route-backend-module
    Returns:
      a service client

  - ### httpsEdgeRouteIpRestriction

    public EdgeRouteIpRestrictionModule httpsEdgeRouteIpRestriction()
    Creates a service client for `EdgeRouteIpRestrictionModule`. See also https://ngrok.com/docs/api#api-edge-route-ip-restriction-module
    Returns:
      a service client

  - ### httpsEdgeRouteRequestHeaders

    public EdgeRouteRequestHeadersModule httpsEdgeRouteRequestHeaders()
    Creates a service client for `EdgeRouteRequestHeadersModule`. See also https://ngrok.com/docs/api#api-edge-route-request-headers-module
    Returns:
      a service client

  - ### httpsEdgeRouteResponseHeaders

    public EdgeRouteResponseHeadersModule httpsEdgeRouteResponseHeaders()
    Creates a service client for `EdgeRouteResponseHeadersModule`. See also https://ngrok.com/docs/api#api-edge-route-response-headers-module
    Returns:
      a service client

  - ### httpsEdgeRouteCompression

    public EdgeRouteCompressionModule httpsEdgeRouteCompression()
    Creates a service client for `EdgeRouteCompressionModule`. See also https://ngrok.com/docs/api#api-edge-route-compression-module
    Returns:
      a service client

  - ### httpsEdgeRouteCircuitBreaker

    public EdgeRouteCircuitBreakerModule httpsEdgeRouteCircuitBreaker()
    Creates a service client for `EdgeRouteCircuitBreakerModule`. See also https://ngrok.com/docs/api#api-edge-route-circuit-breaker-module
    Returns:
      a service client

  - ### httpsEdgeRouteWebhookVerification

    public EdgeRouteWebhookVerificationModule httpsEdgeRouteWebhookVerification()
    Creates a service client for `EdgeRouteWebhookVerificationModule`. See also https://ngrok.com/docs/api#api-edge-route-webhook-verification-module
    Returns:
      a service client

  - ### httpsEdgeRouteOauth

    public EdgeRouteOAuthModule httpsEdgeRouteOauth()
    Creates a service client for `EdgeRouteOAuthModule`. See also https://ngrok.com/docs/api#api-edge-route-o-auth-module
    Returns:
      a service client

  - ### httpsEdgeRouteSaml

    public EdgeRouteSamlModule httpsEdgeRouteSaml()
    Creates a service client for `EdgeRouteSamlModule`. See also https://ngrok.com/docs/api#api-edge-route-saml-module
    Returns:
      a service client

  - ### httpsEdgeRouteOidc

    public EdgeRouteOidcModule httpsEdgeRouteOidc()
    Creates a service client for `EdgeRouteOidcModule`. See also https://ngrok.com/docs/api#api-edge-route-oidc-module
    Returns:
      a service client

  - ### httpsEdgeRouteWebsocketTcpConverter

    public EdgeRouteWebsocketTcpConverterModule httpsEdgeRouteWebsocketTcpConverter()
    Creates a service client for `EdgeRouteWebsocketTcpConverterModule`. See also https://ngrok.com/docs/api#api-edge-route-websocket-tcp-converter-module
    Returns:
      a service client

  - ### tcpEdgeBackend

    public TcpEdgeBackendModule tcpEdgeBackend()
    Creates a service client for `TcpEdgeBackendModule`. See also https://ngrok.com/docs/api#api-tcp-edge-backend-module
    Returns:
      a service client

  - ### tcpEdgeIpRestriction

    public TcpEdgeIpRestrictionModule tcpEdgeIpRestriction()
    Creates a service client for `TcpEdgeIpRestrictionModule`. See also https://ngrok.com/docs/api#api-tcp-edge-ip-restriction-module
    Returns:
      a service client

  - ### tlsEdgeBackend

    public TlsEdgeBackendModule tlsEdgeBackend()
    Creates a service client for `TlsEdgeBackendModule`. See also https://ngrok.com/docs/api#api-tls-edge-backend-module
    Returns:
      a service client

  - ### tlsEdgeIpRestriction

    public TlsEdgeIpRestrictionModule tlsEdgeIpRestriction()
    Creates a service client for `TlsEdgeIpRestrictionModule`. See also https://ngrok.com/docs/api#api-tls-edge-ip-restriction-module
    Returns:
      a service client

  - ### tlsEdgeMutualTls

    public TlsEdgeMutualTlsModule tlsEdgeMutualTls()
    Creates a service client for `TlsEdgeMutualTlsModule`. See also https://ngrok.com/docs/api#api-tls-edge-mutual-tls-module
    Returns:
      a service client

  - ### tlsEdgeTlsTermination

    public TlsEdgeTlsTerminationModule tlsEdgeTlsTermination()
    Creates a service client for `TlsEdgeTlsTerminationModule`. See also https://ngrok.com/docs/api#api-tls-edge-tls-termination-module
    Returns:
      a service client